Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query.protege
Class ParameterConformClasses

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.protege.ParameterConformClasses

    public class ParameterConformClasses

extends Object

Instances of this class contain conform classes of Parameter's attributes used for relevance calculation.

Author:
  tilmann

Constructor Summary
`ParameterConformClasses()`

Method Summary
`ParameterConformClasses` | `clone()`
`Set<OWLClass>` | `getCategories()`
`Set<OWLClass>` | `getEffects()`
`Set<OWLClass>` | `getLogicalInputs()`
`Set<OWLClass>` | `getLogicalOutputs()`
`Set<OWLClass>` | `getPreconditions()`
`Set<OWLClass>` | `getUserRoles()`
`void` | `setCategories(Set<OWLClass> categories)`
`void` | `setEffects(Set<OWLClass> effects)`
`void` | `setLogicalInputs(Set<OWLClass> logicalInputs)`
`void` | `setLogicalOutputs(Set<OWLClass> logicalOutputs)`
`void` | `setPreconditions(Set<OWLClass> preconditions)`
`void` | `setUserRoles(Set<OWLClass> userRoles)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterConformClasses

    public ParameterConformClasses()

Method Detail

### getEffects

    public Set<OWLClass> getEffects()

  Returns:
    Returns the effects.

### setEffects

    public void setEffects(Set<OWLClass> effects)

  Parameters:
    `effects` - The effects to set.

### getLogicalInputs

    public Set<OWLClass> getLogicalInputs()

  Returns:
    Returns the logicalInputs.

### setLogicalInputs

    public void setLogicalInputs(Set<OWLClass> logicalInputs)

  Parameters:
    `logicalInputs` - The logicalInput to set.

### getLogicalOutputs

    public Set<OWLClass> getLogicalOutputs()

  Returns:
    Returns the logicalOutputs.

### setLogicalOutputs

    public void setLogicalOutputs(Set<OWLClass> logicalOutputs)

  Parameters:
    `logicalOutputs` - The logicalOutputs to set.

### getPreconditions

    public Set<OWLClass> getPreconditions()

  Returns:
    Returns the preconditions.

### setPreconditions

    public void setPreconditions(Set<OWLClass> preconditions)

  Parameters:
    `preconditions` - The preconditions to set.

### getCategories

    public Set<OWLClass> getCategories()

  Returns:
    Returns the category.

### setCategories

    public void setCategories(Set<OWLClass> categories)

  Parameters:
    `categories` - The category to set.

### getUserRoles

    public Set<OWLClass> getUserRoles()

  Returns:
    Returns the userRoles.

### setUserRoles

    public void setUserRoles(Set<OWLClass> userRoles)

  Parameters:
    `userRoles` - The userRoles to set.

### clone

    public ParameterConformClasses clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD